## activiz.net 5.6.1

=== SuperBuild/CMakeLists.txt ===
##############################################################################
# A SuperBuild for ActiViz .NET and its pre-requisites

cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)
project(ActiVizDotNetSuperBuild NONE)

include(ExternalProject)
include(CTest)


##############################################################################
# ActiViz .NET requires tools, data and libraries.
#
# Tools: (these must be installed before configuring this SuperBuild)
#   cmake 2.8.6 or later
#   python 2.6 or later
#   cvs
#   git
#
#
# The following are all built by this SuperBuild before ActiViz .NET:
#
# Tools:
#   gccxml
#   mummy (depends on gccxml)
#
# Data:
#   VTKData
#
# Libraries:
#   VTK (depends on VTKData)
#
#
# If doxygen is installed, the mummy build will include some doxygen
# generated docs.
#
# Python must be installed in order to configure ActiViz .NET: the test suite
# has some tests that are generated using python scripts.


##############################################################################
# CMAKE_GENERATOR restriction
#
# On Windows, with the 32-bit Visual Studio generators, this SuperBuild
# includes targets for both 32-bit and 64-bit VTK and ActiViz .NET.
#
# The mummy build also includes both 32-bit and 64-bit outputs when
# configured with the 32-bit generators. Therefore, we disallow the Win64
# generators.
#
# gccxml and mummy are built with the chosen CMAKE_GENERATOR. When the
# generator matches "Visual Studio" VTK and ActiViz .NET get targets with
# both "${CMAKE_GENERATOR}" and "${CMAKE_GENERATOR} Win64"...

if(CMAKE_GENERATOR MATCHES "Win64")
  set(msg "Do not use a Win64 generator with the ActiViz .NET SuperBuild.")
  set(msg "${msg} The SuperBuild includes targets for both x86 and x64 when")
  set(msg "${msg} you use the non-Win64 generator...")
  message(FATAL_ERROR "${msg}")
endif()

set(AVSB_build_x64_targets OFF)
if(CMAKE_GENERATOR MATCHES "Visual Studio")
  set(AVSB_build_x64_targets ON)
endif()


##############################################################################
# Versions this SuperBuild references:

set(gccxml_version "2011-11-03 01:00:00 UTC")
set(mummy_version "1.0.2")
set(vtk_version "5.8.0")


##############################################################################
# SuperBuild options:

option(BUILD_SHARED_LIBS "Build pre-requisite libs as shared libraries" ON)
option(AVSB_BUILD_FOR_REDIST "Strong-name sign build products, create installers" ON)
set(AVSB_SNKEYFILE "" CACHE FILEPATH "Strong name signing key")


##############################################################################
# Double checks:

set(avdn_redist_args "")

if(AVSB_BUILD_FOR_REDIST)
  set(avdn_redist_args "-DAVDN_BUILD_CSHARP_DEBUG:BOOL=OFF")

  if(NOT AVSB_SNKEYFILE)
    set(msg "Empty AVSB_SNKEYFILE value, C# dlls will not be correctly")
    set(msg "${msg} strong-name signed...")
    message(AUTHOR_WARNING "${msg}")
      # If this warning is emitted, the mummy and ActiViz .NET test suites
      # will not run correctly on this machine unless strong name validation
      # is disabled...
  endif()
endif()


##############################################################################
# gccxml

ExternalProject_Add(gccxml
  CVS_REPOSITORY ":pserver:anoncvs:@www.gccxml.org:/cvsroot/GCC_XML"
  CVS_MODULE gccxml
  CVS_TAG -D "${gccxml_version}"
  UPDATE_COMMAND "" # update unnecessary, because it's a fixed static tag
  CMAKE_ARGS
    -DCMAKE_INSTALL_PREFIX:PATH=<INSTALL_DIR>
)

ExternalProject_Get_Property(gccxml binary_dir)
set(gccxml_binary_dir "${binary_dir}")

ExternalProject_Get_Property(gccxml install_dir)
set(gccxml_dir "${install_dir}")
set(gccxml_exe "${gccxml_dir}/bin/gccxml")

if(WIN32)
  ExternalProject_Add_Step(gccxml gccxml_clean_install
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${gccxml_dir}/bin
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${gccxml_dir}/share
    WORKING_DIRECTORY ${gccxml_dir}
    DEPENDEES build # happens after build...
    DEPENDERS install # ...but before install
  )

  ExternalProject_Add_Step(gccxml gccxml_vcconfig
    COMMAND gccxml_vcconfig.bat
    WORKING_DIRECTORY ${gccxml_dir}/bin
    DEPENDEES install
  )
endif()


##############################################################################
# mummy

set(mummy_keyfile_args "")
if(AVSB_SNKEYFILE)
  set(mummy_keyfile_args "-DMummy_SNKEYFILE:FILEPATH=${AVSB_SNKEYFILE}")
endif()

ExternalProject_Add(mummy
  GIT_REPOSITORY "git://public.kitware.com/mummy.git"
  GIT_TAG "v${mummy_version}"
  UPDATE_COMMAND "" # update unnecessary, because it's a fixed static tag
  CMAKE_ARGS
    -Dgccxml_EXECUTABLE:FILEPATH=${gccxml_exe}
    -DMummy_INSTALL_PREFIX:PATH=<INSTALL_DIR>
    ${mummy_keyfile_args}
  DEPENDS gccxml
)

ExternalProject_Get_Property(mummy binary_dir)
set(mummy_binary_dir "${binary_dir}")

ExternalProject_Get_Property(mummy install_dir)
set(mummy_dir "${install_dir}/share/mummy-${mummy_version}")


##############################################################################
# VTKData

ExternalProject_Add(vtkdata
  GIT_REPOSITORY "git://vtk.org/VTKData.git"
  GIT_TAG "v${vtk_version}-data"
  UPDATE_COMMAND "" # update unnecessary, because it's a fixed static tag
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
)

ExternalProject_Get_Property(vtkdata source_dir)
set(vtkdata_dir "${source_dir}")


##############################################################################
# VTK

ExternalProject_Add(vtksource
  GIT_REPOSITORY "git://vtk.org/VTK.git"
  GIT_TAG "v${vtk_version}"
  UPDATE_COMMAND "" # update unnecessary, because it's a fixed static tag
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  DEPENDS
    vtkdata
)

ExternalProject_Get_Property(vtksource source_dir)
set(vtksource_dir "${source_dir}")

function(build_vtk suffix generator)
  ExternalProject_Add(vtk${suffix}
    SOURCE_DIR "${vtksource_dir}"
    DOWNLOAD_COMMAND ""
    UPDATE_COMMAND ""
    CMAKE_ARGS
      -DBUILD_SHARED_LIBS:BOOL=${BUILD_SHARED_LIBS}
      -DCMAKE_INSTALL_PREFIX:PATH=<INSTALL_DIR>
      -DVTK_DATA_ROOT:PATH=${vtkdata_dir}
      -DVTK_DEBUG_LEAKS:BOOL=OFF
      -DVTK_USE_PARALLEL:BOOL=ON
    CMAKE_GENERATOR ${generator}
    INSTALL_COMMAND ""
    DEPENDS
      vtksource
  )
endfunction()

build_vtk("" "${CMAKE_GENERATOR}")

if(AVSB_build_x64_targets)
  build_vtk("_x64" "${CMAKE_GENERATOR} Win64")
endif()


##############################################################################
# avdn

get_filename_component(dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(avdn_source_dir "${dir}" PATH)
message(STATUS "avdn_source_dir='${avdn_source_dir}'")

set(avdn_keyfile_args "")
if(AVSB_SNKEYFILE)
  set(avdn_keyfile_args "-DAVDN_SNKEYFILE:FILEPATH=${AVSB_SNKEYFILE}")
endif()

function(build_avdn suffix generator)
  ExternalProject_Get_Property(vtk${suffix} binary_dir)
  set(vtk_dir "${binary_dir}")

  ExternalProject_Add(avdn${suffix}
    DOWNLOAD_COMMAND ""
    UPDATE_COMMAND ""
    SOURCE_DIR "${avdn_source_dir}"
    CMAKE_ARGS
      -DAVDN_INSTALL_PREFIX:PATH=<INSTALL_DIR>
      ${avdn_keyfile_args}
      ${avdn_redist_args}
      -Dgccxml_EXECUTABLE:FILEPATH=${gccxml_exe}
      -DMummy_DIR:PATH=${mummy_dir}
      -DVTK_DIR:PATH=${vtk_dir}
    CMAKE_GENERATOR ${generator}
    INSTALL_COMMAND ""
    DEPENDS
      mummy
      vtk${suffix}
  )
endfunction()

build_avdn("" "${CMAKE_GENERATOR}")

if(AVSB_build_x64_targets)
  build_avdn("_x64" "${CMAKE_GENERATOR} Win64")
endif()


##############################################################################
# Installers

function(build_installer proj)
  ExternalProject_Get_Property(${proj} binary_dir)
  set(proj_dir "${binary_dir}")

  ExternalProject_Add(${proj}-installer
    BINARY_DIR "${proj_dir}"
    DOWNLOAD_COMMAND ""
    UPDATE_COMMAND ""
    CONFIGURE_COMMAND ""
    BUILD_COMMAND ${CMAKE_COMMAND}
      --build ${proj_dir} --config ${CMAKE_CFG_INTDIR} --target package
    INSTALL_COMMAND ${CMAKE_COMMAND} -E echo
      "The '${proj}' installer is now available in '${proj_dir}'"
    DEPENDS
      ${proj}
  )
endfunction()

build_installer(gccxml)
build_installer(mummy)

build_installer(avdn)

if(AVSB_build_x64_targets)
  build_installer(avdn_x64)
endif()


##############################################################################
# Tests

include(ProcessorCount)
ProcessorCount(num_procs)

function(add_test_suite proj)
  ExternalProject_Get_Property(${proj} binary_dir)
  set(dir "${binary_dir}")

  add_test(NAME ${proj}-tests
    COMMAND ${CMAKE_CTEST_COMMAND} -C $<CONFIGURATION> -j ${num_procs}
      -D ExperimentalTest --output-on-failure
    WORKING_DIRECTORY ${dir}
  )

  # Since we're using all processors to run the target test suite in "full
  # parallel," run this "test" (which is actually a full suite of tests for
  # the named target) by itself:

  set_property(TEST ${proj}-tests PROPERTY RUN_SERIAL ON)
endfunction()

add_test_suite(gccxml)
add_test_suite(mummy)
add_test_suite(vtk)
add_test_suite(avdn)

if(AVSB_build_x64_targets)
  add_test_suite(vtk_x64)
  add_test_suite(avdn_x64)
endif()


##############################################################################
# Log all variable values:

#message(STATUS "========== VARIABLES ==========")
#get_cmake_property(vs VARIABLES)
#foreach(v ${vs})
#  message(STATUS "${v}='${${v}}'")
#endforeach()

=== Testing/TclToCsScript/CMakeLists.txt ===
# See if AVDN_VTK_SOURCE_DIR is available... if not we are out of luck.
# We need AVDN_VTK_SOURCE_DIR to be able to convert the list of tcl tests.
#
IF(NOT AVDN_VTK_SOURCE_DIR)
  MESSAGE(FATAL_ERROR "required variable AVDN_VTK_SOURCE_DIR is not set...")
ENDIF(NOT AVDN_VTK_SOURCE_DIR)

FIND_PROGRAM(PYTHON_EXE "python")
IF(NOT PYTHON_EXE)
  MESSAGE(FATAL_ERROR "python required to convert tcl tests")
ENDIF(NOT PYTHON_EXE)

# vtkClassList.py
#
FILE(WRITE "${CMAKE_CURRENT_SOURCE_DIR}/vtkClassList.py" "VTKClassList = [\n\"___list_begins___\",\n")
FOREACH(entry ${WRAPPED_CLASS_TABLE})
  STRING(REGEX REPLACE "^([^ ]+) .*$" "\\1" cxxclass "${entry}")
    # each 'entry' looks like: "${cxxclass} ${kit} ${abstract} ${header}"
  FILE(APPEND "${CMAKE_CURRENT_SOURCE_DIR}/vtkClassList.py" "\"${cxxclass}\",\n")
ENDFOREACH(entry)
FILE(APPEND "${CMAKE_CURRENT_SOURCE_DIR}/vtkClassList.py" "\"__list_ends__\"\n]\n\ndef get_vtk_classes():\n  return VTKClassList\n")

#generate the list of vtkColors
MESSAGE(STATUS "Generating vtkColors.py")
EXECUTE_PROCESS (COMMAND ${PYTHON_EXE} GenerateVtkColors.py -vtkdir ${AVDN_VTK_SOURCE_DIR} RESULT_VARIABLE RES_VAR
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

#generate the list of vtkCommands
MESSAGE(STATUS "Generating vtkCommandList.py")
EXECUTE_PROCESS (COMMAND ${PYTHON_EXE} GenerateVtkCommandList.py -vtkdir ${AVDN_VTK_SOURCE_DIR} RESULT_VARIABLE RES_VAR
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})


MACRO(CONVERT_VTK_TCL_SCRIPT_TO_CSHARP cvtstc_file cvtstc_listvar)
  GET_FILENAME_COMPONENT(cvtstc_name_we "${cvtstc_file}" NAME_WE)

  ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/AV${cvtstc_name_we}.cs
    COMMAND ${PYTHON_EXE}
    ARGS
      ${CMAKE_CURRENT_SOURCE_DIR}/vtkTclToCsConvertor.py
      -i "${cvtstc_file}"
      -o "${CMAKE_CURRENT_BINARY_DIR}/AV${cvtstc_name_we}.cs"
      -xmldir "${ActiVizDotNet_BINARY_DIR}/xml"
    DEPENDS
      "${cvtstc_file}"
      ${CMAKE_CURRENT_SOURCE_DIR}/vtkTclToCsConvertor.py
  )

  SET(${cvtstc_listvar} ${${cvtstc_listvar}} "${CMAKE_CURRENT_BINARY_DIR}/AV${cvtstc_name_we}.cs")
ENDMACRO(CONVERT_VTK_TCL_SCRIPT_TO_CSHARP)


# Initialize lists (one per kit plus one catchall named "Other"):
#
SET(kits ${AVDN_KITS})

SET(Other_outputlist "")
FOREACH(kit ${kits})
  SET(${kit}_outputlist "")
ENDFOREACH(kit)




FILE(READ "Currently_Compiling_Tests.txt" testlist)
STRING(REGEX REPLACE ";" "\\\\;" testlist "${testlist}")
STRING(REGEX REPLACE "\n" "E;" testlist "${testlist}")

FOREACH(t ${testlist})
  IF("${t}" MATCHES "^(.*.tcl).*E$")
  IF(NOT "${t}" MATCHES "^#")
    STRING(REGEX REPLACE "^(.*.tcl).*E$" "\\1" tclfile "${t}")

    IF("${AVDN_VTK_SOURCE_DIR}/${tclfile}" MATCHES "^.*/([^/]+)/Testing/Tcl/.*$")
      STRING(REGEX REPLACE "^.*/([^/]+)/Testing/Tcl/.*$" "\\1" kit "${AVDN_VTK_SOURCE_DIR}/${tclfile}")
    ELSE()
      SET(kit "Other")
    ENDIF()

    #MESSAGE(STATUS "kit='${kit}' t='${t}'")

    CONVERT_VTK_TCL_SCRIPT_TO_CSHARP("${AVDN_VTK_SOURCE_DIR}/${tclfile}" ${kit}_outputlist)
  ENDIF(NOT "${t}" MATCHES "^#")
  ENDIF("${t}" MATCHES "^(.*.tcl).*E$")
ENDFOREACH(t)


# Custom targets to organize things in the VS .sln file and to ensure
# that Kitware.VTK builds before these targets. (So that all the xml
# files from all the gccxml steps are guaranteed to be there before
# running the python script to convert a test, which may require an
# arbitrary set of the xml files to process any given test...)
#
ADD_CUSTOM_TARGET(
  "ConvertTcl-Other" ALL
  DEPENDS ${Other_outputlist}
)
ADD_DEPENDENCIES("ConvertTcl-Other" Kitware.VTK)

FOREACH(kit ${kits})
  ADD_CUSTOM_TARGET(
    "ConvertTcl-${kit}Tests" ALL
    DEPENDS ${${kit}_outputlist}
  )
  ADD_DEPENDENCIES("ConvertTcl-${kit}Tests" Kitware.VTK)
ENDFOREACH(kit)


SET(AVDN_CONVERTED_TCL_TESTS ${Other_outputlist})
FOREACH(kit ${kits})
  SET(AVDN_CONVERTED_TCL_TESTS ${AVDN_CONVERTED_TCL_TESTS} ${${kit}_outputlist})
ENDFOREACH(kit)

ADD_CSHARP_EXECUTABLE(
  "Kitware.VTK.ConvertedTclTests"
  "Kitware.VTK"
  "Kitware.VTK;Kitware.mummy.Runtime"
  ""
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/CSharpTestDriver.cs"
  ${AVDN_CONVERTED_TCL_TESTS}
)

# Ensure Kitware.VTK.ConvertedTclTests builds *after* all the
# "ConvertTcl-*" projects. Otherwise, it tries to build the
# custom command steps in parallel with the ConvertTcl projects
# and some end up building twice because of this...
#
ADD_DEPENDENCIES("Kitware.VTK.ConvertedTclTests" "ConvertTcl-Other")
FOREACH(kit ${kits})
  ADD_DEPENDENCIES("Kitware.VTK.ConvertedTclTests" "ConvertTcl-${kit}Tests")
ENDFOREACH(kit)

# Tell test driver whether or not to do the image regression
SET(fail_on_image_diff_flag "--fail-on-image-diff")

FOREACH(kit ${kits})
  FOREACH(test ${${kit}_outputlist})
    GET_FILENAME_COMPONENT(name "${test}" NAME)
    GET_FILENAME_COMPONENT(name_we "${test}" NAME_WE)
    STRING(REGEX REPLACE "^AV(.*)$" "\\1" pngname "${name_we}")
    ADD_CSHARP_TEST(${name}
      ${EXE_DIR}/Kitware.VTK.ConvertedTclTests.exe ${name_we}
      -D ${AVDN_VTK_DATA_ROOT}
      -T ${CMAKE_BINARY_DIR}/Testing/Temporary
      -V Baseline/${kit}/${pngname}.png
      ${fail_on_image_diff_flag}
    )
    SET_TESTS_PROPERTIES(${name} PROPERTIES
      FAIL_REGULAR_EXPRESSION "(ERROR|Warning): In"
    )
  ENDFOREACH(test)
ENDFOREACH(kit)


FILE(GLOB_RECURSE HAND_CONVERTED_TESTS "Convert By Hand/*.cs")

#Remove Parallel test if Parallel is not built
FOREACH(test ${HAND_CONVERTED_TESTS})
  GET_FILENAME_COMPONENT(path1 "${test}" PATH)
  GET_FILENAME_COMPONENT(dir "${path1}" NAME)
  IF(${dir} STREQUAL "Parallel")
    IF(NOT AVDN_VTK_USE_PARALLEL)
      LIST(REMOVE_ITEM HAND_CONVERTED_TESTS ${test})
    ENDIF(NOT AVDN_VTK_USE_PARALLEL)
  ENDIF(${dir} STREQUAL "Parallel")
ENDFOREACH(test ${HAND_CONVERTED_TESTS})

#classes that use parallel classes but are not in the parallel folder
IF(NOT AVDN_VTK_USE_PARALLEL)
  LIST(REMOVE_ITEM HAND_CONVERTED_TESTS "${CMAKE_CURRENT_SOURCE_DIR}/Convert By Hand/Graphics/AVStreamPolyData.cs")
ENDIF(NOT AVDN_VTK_USE_PARALLEL)

#IF(AVDN_VTK_USE_PARALLEL)
  #only use GLOB_RECURSE if parallel is turned on
  
  #ELSE(AVDN_VTK_USE_PARALLEL)
  #don't include subdirs if parallel is off
  # FILE(GLOB HAND_CONVERTED_TESTS "Convert By Hand/*.cs")
  #ENDIF(AVDN_VTK_USE_PARALLEL)

ADD_CSHARP_EXECUTABLE(
  "Kitware.VTK.ConvertedByHandTclTests"
  "Kitware.VTK"
  "Kitware.VTK;Kitware.mummy.Runtime"
  ""
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/CSharpTestDriver.cs"
  ${HAND_CONVERTED_TESTS}
)

FOREACH(test ${HAND_CONVERTED_TESTS})
  GET_FILENAME_COMPONENT(path "${test}" PATH)
  GET_FILENAME_COMPONENT(dir "${path}" NAME)
  GET_FILENAME_COMPONENT(name "${test}" NAME)
  GET_FILENAME_COMPONENT(name_we "${test}" NAME_WE)
  STRING(REGEX REPLACE "^AV(.*)$" "\\1" pngname "${name_we}")
  ADD_CSHARP_TEST(${name}
    ${EXE_DIR}/Kitware.VTK.ConvertedByHandTclTests.exe ${name_we}
    -D ${AVDN_VTK_DATA_ROOT}
    -T ${CMAKE_BINARY_DIR}/Testing/Temporary
    -V Baseline/${dir}/${pngname}.png
    ${fail_on_image_diff_flag}
  )
  SET_TESTS_PROPERTIES(${name} PROPERTIES
    FAIL_REGULAR_EXPRESSION "(ERROR|Warning): In"
  )
ENDFOREACH(test)

#FOREACH(test ${AVDN_CONVERTED_TCL_TESTS})
#  GET_FILENAME_COMPONENT(name "${test}" NAME)
#  GET_FILENAME_COMPONENT(name_we "${test}" NAME_WE)
#  STRING(REGEX REPLACE "^AV(.*)$" "\\1" pngname "${name_we}")
#  ADD_CSHARP_TEST(${name}
#    ${EXE_DIR}/Kitware.VTK.ConvertedTclTests.exe ${name_we}
#  )
#  SET_TESTS_PROPERTIES(${name} PROPERTIES
#    FAIL_REGULAR_EXPRESSION "(ERROR|Warning): In"
#  )
#ENDFOREACH(test)

=== debian/control ===
Source: activiz.net
Section: graphics
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 8), cmake (>= 2.8.3), mummy,
 libkitware-mummy-runtime1.0-cil, gccxml, libvtk5-dev (>= 5.6), mono-devel,
 cli-common-dev (>= 0.5.7), doxygen-latex (>= 1.6.2), graphviz
Standards-Version: 3.9.2
Homepage: http://www.kitware.com/products/avdownload.php
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/activiz.net/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/activiz.net/trunk/

Package: libactiviz.net5.6-cil
Architecture: any
Section: cli-mono
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: Tool for generating C# wrappers around VTK
 ActiViz provides a powerful interface to the Visualization Toolkit (VTK), an
 object-oriented software system encompassing thousands of algorithms that
 transform data into interactive 3D environments. ActiViz, which generates C#
 wrappers around VTK, enables developers to combine the power of VTK with the
 many .NET framework objects for web and database access. Available as source
 code or as a pre-built WinForms Control, ActiViz .NET includes examples, online
 documentation, and supports IntelliSense in the .NET Framework

Package: activiz.net-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Suggests: vtk-doc
Section: doc
Description: ActiViz.NET documentation
 ActiViz provides a powerful interface to the Visualization Toolkit (VTK), an
 object-oriented software system encompassing thousands of algorithms that
 transform data into interactive 3D environments.
 .
 This package contains exhaustive HTML documentation for the all the
 documented ActiViz.NET C# classes.

Package: activiz.net-examples
Architecture: all
Suggests: vtk-examples
Section: graphics
Depends: ${misc:Depends}
Description: ActiViz.NET examples
 ActiViz provides a powerful interface to the Visualization Toolkit (VTK), an
 object-oriented software system encompassing thousands of algorithms that
 transform data into interactive 3D environments.
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package contains examples from the ActiViz.NET source.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

CMAKE_FLAGS = \
	-DAVDN_INSTALL_PREFIX:PATH=/usr \
	-DAVDN_SNKEYFILE:STRING=/usr/share/cli-common/keys/mono.snk \
	-DAVDN_EXTRA_EXCLUDE_CLASSES:STRING="vtkMPIController;vtkMPICommunicator"

# B-D-I is still not quite right on buildd, but anyway let's be prepared:
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  CMAKE_FLAGS += -DGENERATE_DOXYGEN:BOOL=OFF
else
  CMAKE_FLAGS += -DGENERATE_DOXYGEN:BOOL=ON
endif

%:
	dh $@ --parallel --with cli

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

# dpkg-shlibdeps: error: no dependency information found for /usr/lib/libvtkNetCDF_cxx.so.5.6
override_dh_shlibdeps:
	dh_shlibdeps -- --ignore-missing-info

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C obj-* AVDN_doxygen

# No tests needed for docs
override_dh_auto_test-indep:

pkg_doc = activiz.net-doc
pkg_exa = activiz.net-examples

override_dh_install-indep:
	dh_install -p$(pkg_doc) obj-*/Doxygen/html usr/share/doc/$(pkg_doc)/
	find ./debian/$(pkg_doc)/usr/share/doc/$(pkg_doc)/html/ -name *.md5 -delete
	#dh_installexamples -p$(pkg_exa) usr/Examples/*
	dh_install -p$(pkg_exa) usr/Examples/*  usr/share/doc/$(pkg_exa)/examples
	find ./debian/$(pkg_exa) -name *.sln -delete

get-orig-source:
	./debian/get-orig-source
